package top.tqx.demo_1.service;

import top.tqx.demo_1.entity.KnowledgeBasePath;
import java.util.List;

public interface KnowledgeBasePathService {

    List<KnowledgeBasePath> getUserAccessibleKnowledgeBases(Long userId, Long deptId, String deptName);

    List<String> getUserAccessibleKnowledgeBaseNames(Long userId, Long deptId, String deptName);
}
